## Settings file was created by plugin TeammateRevival v4.1.3
## Plugin GUID: KosmosisDire.TeammateRevival

[Debugging]

## Debug-only function that will ruin your experience when using Dio's Best Friend
# Setting type: Boolean
# Default value: false
Keep death totem for characters revived by other means = false

## Retain Death Curse and related items even in single player
# Setting type: Boolean
# Default value: false
Force enable Death Curse even for single player = false

## How much logs to display
# Setting type: String
# Default value: Info
# Acceptable values: None, Fatal, Error, Warning, Message, Info, Debug, All
Log Level = Info

## Log debugging messages to the console
# Setting type: Boolean
# Default value: true
Console Logging = true

## Log debugging messages to the in-game chat.
# Setting type: Boolean
# Default value: false
Chat Logging = false

## Log debugging messages to log.txt located on the desktop by default (sometimes the path cannot be found, so set a custom path below). If the path cannot be found it will write to "C:\log.txt" instead.
# Setting type: Boolean
# Default value: false
File Logging = false

## This sets the location that the logging file will be created. Leave blank to put log.txt on the desktop. If the log file is not showing up set your path manually here.
# Setting type: String
# Default value: 
File Logging Path = 

## Super massive base damage, and super speed for the host. For testing purposes only, Makes the game incredibly boring.
# Setting type: Boolean
# Default value: false
God Mode = false

[Misc]

## Set it to true if you don't plan on playing Death Curse mode and don't want to see related items in logbook
# Setting type: Boolean
# Default value: false
Hide Death Curse mode items in logbook = false

## Set it to true if you don't plan on playing Death Curse mode and don't want to see Death Curse artifact in lobby
# Setting type: Boolean
# Default value: false
Hide Death Curse Artifact = false

[Revive rules configuration]

## How wide revive circle will be
# Setting type: Single
# Default value: 30
Base revive range = 30

## How much to increase revive circle range per player. Set to 0 to disable. 
## RangeIncrease = BaseRange * IncreasePerPlayerFactor
# Setting type: Single
# Default value: 0.4
Increase range per player factor = 0.4

## [Only with Death Curse enabled] How much to increase revive circle range per dead character's Obol. 
## nRangeIncrease = BaseRange * ItemsCount * IncreasePerPlayerFactor
# Setting type: Single
# Default value: 0.5
Increase range per Obol = 0.5

## How much time one player will need to revive one dead character.
# Setting type: Single
# Default value: 6
Revive time = 6

## How fast revive progress will be decreased when no one in revive range. 
## ReduceSpeed = -(1 / ReviveTime * ReduceProgressFactor)
# Setting type: Single
# Default value: 0.05
Reduce revive progress factor = 0.05

## How long Revive Link buff will stay after player leave revive range. 
## BuffTime = TimeInCircle / ReduceReviveProgressFactor * ReviveLinkBuffTimeFactor + 1 second
## Basically, when 1 - buff will be applied for exactly as long as it will take to remove all added revive progress (+1 second).
## So, when 0.5 - only half of that.
# Setting type: Single
# Default value: 1
Revive Link buff duration factor = 1

## [Only with Death Curse enabled] How much revive speed will increase per dead character's Obol. 
## SpeedIncrease = ReviveTime / (ReviveTime / ObolReviveFactor ^ ObolsCount)
# Setting type: Single
# Default value: 1.125
Obol revive factor = 1.125

## [Only with Death Curse enabled] How much revive damage in revive circle will decrease per dead character's Obol. 
## DamagePercentage = 1 / (ObolDamageReduceFactor ^ DeadPlayerObolsCount)
# Setting type: Single
# Default value: 1.1
Obol damage reduce factor = 1.1

## [Only with Death Curse enabled] For how much HP will be reduced for Death Curse.
## ReduceHP = MaxHP - (MaxHP / (ReduceHpFactor ^ CursesCount + BaseReduceHpFactor))
## MaxHP = MaxHP - ReduceHP
# Setting type: Single
# Default value: 0.25
Base Death Curse HP reduce factor = 0.25

## [Only with Death Curse enabled] For how much HP will be reduced for Death Curse.
## ReduceHP = MaxHP - (MaxHP / (ReduceHpFactor ^ CursesCount + BaseReduceHpFactor))
## MaxHP = MaxHP - ReduceHP
# Setting type: Single
# Default value: 1.2
Death Curse HP reduce factor = 1.2

## Force enable Death Curse logic (e.g. Artifact of Death Curse) even when artifact is disabled.
# Setting type: Boolean
# Default value: false
Force Death Curse rule = false

## [Only with Death Curse enabled] If enabled, player that is revived a lot will be less likely to receive Death Curse later.
# Setting type: Boolean
# Default value: true
Enable Revival Token = true

## If enabled, revived player will get hp/shield cut to 40%
# Setting type: Boolean
# Default value: true
Cut Revivee HP = true

## [Only with Death Curse enabled] Chance to receive Death Curse on revival for revivee (Range: 0-100%)
# Setting type: Single
# Default value: 66
Death Curse chance = 66

## [Only with Death Curse enabled] Chance to receive Death Curse on revival for reviver (Range: 0-100%)
# Setting type: Single
# Default value: 66
Reviver Death Curse chance = 66

## After reviving, 40% of revivee and linked revivers HP is restored. This value specify how long regeneration buff is active in seconds. If set to 0 - revive regen is disabled.
# Setting type: Single
# Default value: 4
Post revive regeneration time = 4

## Prevent players from reviving if their hitboxes are disabled via Strides of Heresy or other similar skills.
# Setting type: Boolean
# Default value: false
Require hitboxes active = false

[Server logging]

## Log debugging messages to external logging server.
# Setting type: Boolean
# Default value: false
Use external logging server = false

## Logging server URL
# Setting type: String
# Default value: 
Logging server URL = 

## User name that will be used for logging server
# Setting type: String
# Default value: 
Logging server user name = 

## Room name that will be used for logging server
# Setting type: String
# Default value: 
Logging server room = 

## Include all application logs, not only for this plugin
# Setting type: Boolean
# Default value: false
Log all = false

